[Numpy-discussion] lots of warnings with python3

Nathaniel Smith njs@pobox....
Wed Aug 28 10:50:11 CDT 2013


On Wed, Aug 28, 2013 at 4:32 PM, Neal Becker <ndbecker2@gmail.com> wrote:
> I tried running python2 -3 on some code, and found numpy
> produces a lot of warnings.
>
> Many like:
> python -3 -c 'import numpy'
> ...
> /usr/lib64/python2.7/site-packages/numpy/lib/polynomial.py:928:
> DeprecationWarning: Overriding __eq__ blocks inheritance of __hash__ in 3.x

Looks like a bug... in 2.x you *must* define __hash__ if you define
__eq__, even if it's just as:

def __hash__(self):
    return NotImplemented

> But also:
> /usr/lib64/python2.7/site-packages/numpy/lib/shape_base.py:838:
> DeprecationWarning: classic int division
>   n /= max(dim_in,1)

Also looks like a bug, should be //=.

Want to file bugs/PRs?

-n


More information about the NumPy-Discussion mailing list